MWeb - Bug #1383

Working directory management
2013-03-19 12:12 - Elmer de Looff

Status: Closed Start date: 2013-03-19
Priority: Normal Due date:

Assignee: Elmer de Looff % Done: 100%
Category: Core Estimated time: 0.00 hour
Target version: UWeb beta release Spent time: 2.00 hours
Description

There are some persistent problems with setting up working directories properly. This is partly related to the standalone daemon
currently changing the working directory to the guessed 'package’ directory. This should really be the configured path from the uweb

util.

The PageMaker setup classmethod to decide working directory and paths also needs looking at once the deamon path is changed

as it makes some assumptions that are based on a faulty situation.

Associated revisions

Revision 335:41fc66¢43f67 - 2013-03-20 12:41 - EImer de Looff

Fixed bugs related to working directory detection of the running presenter. The daemon process no longer changes the current working directory and
the presenter directory discovery has been updated to work with this. This means that all directories given relative from this presenter now work as

expected. This resolves #1383.

History

#1 - 2013-03-21 15:39 - EImer de Looff
- Status changed from New to Resolved

- % Done changed from 0 to 70

Applied in changeset 41fc66c4367.

#2 - 2013-03-21 15:42 - Elmer de Looff

- Status changed from Resolved to Closed

- % Done changed from 70 to 100

Running pWeb as a Standalone application no longer changes the working directory beyond the change that the uweb application may do (to affect
loading of the project package). The daemon workdir is set to the current working directory which ensures that all relative paths from that working dir

are functional.
